\documentclass{zettel2}

\geometry{top=1cm, bottom=1cm, left=2cm, right=2cm}

% Header & Footer
\pagestyle{empty}

\DTLloaddb{zimmer-zirkel}{teilnehmende.csv}


\begin{document}
    \Large
    \rowcolors{1}{gray!20}{white}
    \begin{longtable}[l]{|l|l|l|l|l|l|l|l|l|}
        \hline
        \rowcolor{gray!40}
        \textbf{Vorname} & \textbf{Nachname} & \textbf{Geschlecht} & \textbf{Klasse} & \textbf{Zirkel} & \textbf{Zimmer}\\
        \hline
        \endfirsthead
        \noalign\bgroup
        \DTLforeach{zimmer-zirkel}{%
            \vorname=Vorname,%
            \nachname=Nachname,%
            \geschlecht=Geschlecht,%
            \klasse=Klasse,%
            \zirkel=Zirkel,%
            \zimmer=Zimmer%
        }{%
            \egroup \vorname & \nachname &
            \geschlecht & \klasse & \zirkel & \zimmer\\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{longtable}

    \hspace{1cm} \Large \textbf{Gesamtanzahl: \DTLrowcount{zimmer-zirkel}}

\end{document}
